### Method

# Gtk Image set_from_file

#### Declaration [src]

    void
    gtk_image_set_from_file (
      GtkImage* image,
      const char* filename
    )

#### Description [src]

Sets a `GtkImage` to show a file.

See gtk_image_new_from_file() for details.

Sets property | `Gtk.Image:file`

#### Parameters

`filename` | `const char*`
| A filename.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a file system path, using the OS encoding.